public static interface MustacheEndpointBuilderFactory.MustacheBuilders
| Modifier and Type | Method and Description |
|---|---|
default MustacheEndpointBuilderFactory.MustacheEndpointBuilder |
mustache(String path)
Mustache (camel-mustache)
Transform messages using a Mustache template.
|
default MustacheEndpointBuilderFactory.MustacheEndpointBuilder |
mustache(String componentName,
String path)
Mustache (camel-mustache)
Transform messages using a Mustache template.
|
default MustacheEndpointBuilderFactory.MustacheEndpointBuilder mustache(String path)
mustache:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.path - resourceUridefault MustacheEndpointBuilderFactory.MustacheEndpointBuilder mustache(String componentName, String path)
mustache:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.componentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel